package com.bonus.gs.sub.evaluate.evaluate.service;


import com.bonus.gs.sub.evaluate.evaluate.beans.OrganizationalBean;
import com.bonus.gs.sub.evaluate.manager.utils.AjaxRes;

import java.util.List;

public interface OrganizationalService{
    /**
     * 查询上级节点-下拉选
     * @param bean
     * @return
     */
    List<OrganizationalBean> getDeptSelected(OrganizationalBean bean);

    /**
     * 外包商下拉选
     * @param bean
     * @return
     */
    List<OrganizationalBean> getOutSourceSelected(OrganizationalBean bean);

    /**
     * 新增人员下拉选
     * @param bean
     * @return
     */
    List<OrganizationalBean> getAddUserSelected(OrganizationalBean bean);

    /**
     * 树数据查询
     * @param bean
     * @return
     */
    List<OrganizationalBean> getTreeList(OrganizationalBean bean);

    /**
     * 新增数据接口
     * @param bean
     * @return
     */
    AjaxRes addData(OrganizationalBean bean);

    /**
     * 更新班组长
     * @param bean
     * @return
     */
    AjaxRes updateLeader(OrganizationalBean bean);

    /**
     * 查询数据详情
     * @param bean
     * @return
     */
    AjaxRes getDataDetails(OrganizationalBean bean);

    /**
     * 人员出厂
     * @param bean
     * @return
     */
    AjaxRes userOutData(OrganizationalBean bean);

    AjaxRes addDept(OrganizationalBean bean);

    AjaxRes userOutDataFail(OrganizationalBean bean);
}
